﻿<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net8.0-browser</TargetFramework>
    <RuntimeIdentifier>browser-wasm</RuntimeIdentifier>
    <WasmMainJSPath>wwwroot\main.js</WasmMainJSPath>
    <WasmRuntimeAssetsLocation>./_framework</WasmRuntimeAssetsLocation>
  </PropertyGroup>

  <ItemGroup>
    <WasmExtraFilesToDeploy Include="wwwroot\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Avalonia.Browser" Version="$(AvaloniaVersion)" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\HelloMobile\HelloMobile.csproj" />
  </ItemGroup>
</Project>
